<?	session_start();
	if(!isset($_SESSION['nombre'])){
		header("../index.php"); /* Si no hay sesion vamos al login.php */
	} else {

	include_once('../includes/Conexion.inc.php');

	$Texto = $_POST["editor1"];
	$Titulo = $_POST["titulo"];
	$Autor = $_POST["autor"];
	$dia =  $_POST["dia"];
	$mes = $_POST["mes"];
	$anyo = $_POST["anyo"];
	$Id = $_GET["Id"];
	
	switch ($mes) {		
		case 1:
			$mes = 'enero';
			break;
		case 2:
			$mes = 'febrero';
			break;
		case 3:
			$mes = 'marzo';
			break;
		case 4:
			$mes = 'abril';
			break;		
		case 5:
			$mes = 'mayo';
			break;
		case 6:
			$mes = 'junio';
			break;
		case 7:
			$mes = 'julio';
			break;
		case 8:
			$mes = 'agosto';
			break;	
		case 9:
			$mes = 'septiembre';
			break;
		case 10:
			$mes = 'octubre';
			break;
		case 11:
			$mes = 'noviembre';
			break;
		case 12:
			$mes = 'diciembre';
			break;	
		}
	$Fecha = "$dia de $mes de $anyo";
	
	$mes = $_POST["mes"];
	
	$Fecha_Orden = "$anyo-$mes-$dia";
	if ($Id==''){
		Conectar();	
		$sql = "INSERT INTO Noticias (`Imagen`, `Titulo`, `Texto`, `Autor`, `Fecha`, `Fecha_Orden`, `dia`, `mes`, `anyo`) VALUES ( NULL, '$Titulo', '$Texto', '$Autor', '$Fecha', '$Fecha_Orden', '$dia', '$mes', '$anyo')";	
		mysql_query($sql);		
		$Id=mysql_insert_id();
		Desconectar();
		header("location:./noticia.php?Id_noticia=$Id");
		exit;
	}		
	else{	
		Conectar();
		$sql = "Update Noticias Set ";

		$sql = $sql .  "Texto = '$Texto', Titulo ='$Titulo', Autor = '$Autor', Fecha ='$Fecha', dia = '$dia', mes = '$mes', anyo ='$anyo', Fecha_Orden ='$Fecha_Orden'";
			
		$sql = $sql . " where Id = $Id";

		mysql_query($sql);

		Desconectar();
		header("location:./noticia.php?Id_noticia=$Id");
		exit;
	}

	}
?>